libzypp 17.38.15

zyppng::RpmmdWorkflows Namespace Reference

Downloader workspace for YUM (rpm-nmd) repositories Encapsulates all the knowledge of which files have to be downloaded to the local disk. More...

## Functions
MaybeAwaitable< expected< zypp::RepoStatus > > | repoStatus (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle)
MaybeAwaitable< expected< repo::DownloadContextRef > > | download (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle, ProgressObserverRef progressObserver)

## Detailed Description

Downloader workspace for YUM (rpm-nmd) repositories Encapsulates all the knowledge of which files have to be downloaded to the local disk.

## Function Documentation

## ◆ repoStatus()

MaybeAwaitable< expected< zypp::RepoStatus > > zyppng::RpmmdWorkflows::repoStatus | ( | repo::DownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle )

Definition at line 68 of file rpmmd.cc.

## ◆ download()

MaybeAwaitable< expected< repo::DownloadContextRef > > zyppng::RpmmdWorkflows::download | ( | repo::DownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle,
|  | ProgressObserverRef | progressObserver )

Definition at line 155 of file rpmmd.cc.